.services{
    background:#030000;
    padding:25px 0;
}

.container-servicios{
    width:90%;
    max-width:1400px;
    margin:auto;

    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:25px;
}

.service-card{
    position:relative;
    min-height:560px;

    overflow:hidden;

    border-radius:18px;

    border:1px solid rgba(255,255,255,.08);

    background:url("../img/card-bg.png");
    background-size:cover;
    background-position:left;

    transition:.4s;
}

.service-card:hover{
    transform:translateY(-8px);

    border-color:rgba(255,0,0,.35);

    box-shadow:
    0 0 40px rgba(255,0,0,.15);
}

.overlay{
    position:absolute;
    inset:0;


    z-index:1;
}

.service-image{
    position:absolute;
    right:-20px;
    top:25px;

    width:180px;

    z-index:2;

    pointer-events:none;
}
.service-card:nth-child(1) .service-image{
    width: 220px;
    right: -10px;
}
.service-card:nth-child(2) .service-image{
    width: 220px;
    right: -10px;
}
.service-card:nth-child(3) .service-image{
    width: 120px;
    right: 15px;
}
.card-content{
    position:relative;
    z-index:3;

    padding:30px;
}

.card-icon{
    width:48px;
    height:48px;

    display:flex;
    align-items:center;
    justify-content:center;

    border-radius:12px;

    background:
    linear-gradient(
    135deg,
    #ff3434,
    #a80000
    );

    color:white;

    font-size:20px;

    margin-bottom:20px;
}

.card-content h3{
    font-size:24px;
    font-weight:700;
width:260px;
    line-height:1.2;

    color:white;

    margin-bottom:18px;
}

.card-content p{
    color:#bfc4cf;

    line-height:1.7;

    margin-bottom:25px;

    font-size:15px;
}

.card-content ul{
    list-style:none;
}

.card-content ul li{

    position:relative;

    padding-left:25px;

    margin-bottom:12px;

    color:#d9dce5;

    font-size:15px;
}

.card-content ul li::before{

    content:"";

    position:absolute;

    left:0;
    top:8px;

    width:8px;
    height:8px;

    border-radius:50%;

    background:#ff3030;

    box-shadow:
    0 0 10px #ff3030;
}

.btn-card{

    margin-top:30px;

    display:inline-flex;

    align-items:center;

    gap:10px;

    text-decoration:none;

    color:white;

    border:1px solid rgba(255,255,255,.15);

    padding:6px 9px;

    border-radius:12px;

    transition:.3s;
    
    font-size:14px;

    position: relative;
    overflow: hidden;
}

.btn-card:hover{

    background:#ff2323;

    border-color:#ff2323;
}

.btn-card::before{

    content: "";

    position: absolute;

    top: 0;
    left: -150%;

    width: 50%;
    height: 100%;

    background: linear-gradient(
        90deg,
        transparent,
        rgba(255,255,255,.25),
        transparent
    );

    transform: skewX(-25deg);

    animation: shineButton 5s infinite;
}

@keyframes shineButton{

    0%{
        left:-150%;
    }

    20%{
        left:150%;
    }

    100%{
        left:150%;
    }

}

.btn-card span{

    width:28px;
    height:28px;

    border-radius:50%;

    display:flex;
    align-items:center;
    justify-content:center;

    background:rgba(255,255,255,.08);
}

/* ==========================
   TABLETS
========================== */

@media (max-width: 1024px){

    .container{
        grid-template-columns: repeat(2, 1fr);
        gap:20px;
    }

    .service-card{
        min-height:520px;
    }

    .card-content h3{
        font-size:24px;
width:200px;
    }

    .service-image{
        width:150px;
        top:60px;
        right:-10px;
    }
}


/* ==========================
   MOVILES
========================== */

@media (max-width: 768px){

    .services{
        padding:10px 0;
    }

    .container-servicios{
        grid-template-columns:1fr;
        width:95%;
    }

    .service-card{
        min-height:auto;
    }

    .card-content{
        padding:25px;
    }

    .card-content h3{
        font-size:22px;
        max-width:70%;
    }

    .card-content p{
        font-size:14px;
    }

    .card-content ul li{
        font-size:14px;
    }

    .service-image{
        width:120px;
        top:25px;
        right:10px;
    }

    .btn-card{
        width:100%;
        justify-content:center;
        padding:6px 9px;
    }
}


/* ==========================
   MOVILES PEQUEÑOS
========================== */

@media (max-width: 480px){

    .card-content{
        padding:20px;
    }

    .card-icon{
        width:42px;
        height:42px;
        font-size:18px;
    }

    .card-content h3{
        font-size:20px;
        max-width:65%;
        margin-bottom:15px;
    }

    .card-content p{
        font-size:13px;
        line-height:1.6;
    }

    .card-content ul li{
        font-size:13px;
        margin-bottom:10px;
    }

    .service-image{
        width:100px;
        top:20px;
        right:5px;
    }

    .btn-card{
        padding:6px 9px;
        font-size:14px;
    }
}


/*==================================
SOLUCIONES POR SECTOR
==================================*/

.sector-solutions{

    width:90%;

    max-width:1150px;

    margin:50px auto 0;

    display:grid;

    grid-template-columns:
    repeat(4,1fr);

    gap:24px;
}

/* CARD */

.sector-card-dark{

    position:relative;

    background:
    linear-gradient(
        180deg,
        #121212,
        #0b0b0b
    );

    border:1px solid
    rgba(255,0,0,.12);

    border-radius:22px;
    padding:24px 22px;


    overflow:hidden;

    transition:.35s;

    box-shadow:
    0 12px 30px rgba(0,0,0,.25);
}

/* brillo */

.sector-card-dark::before{

    content:"";

    position:absolute;

    top:-100px;
    right:-100px;

    width:180px;
    height:180px;

    background:
    radial-gradient(
        rgba(255,0,0,.18),
        transparent 70%
    );

    pointer-events:none;
}

/* hover */

.sector-card-dark:hover{

    transform:translateY(-8px);

    border-color:
    rgba(255,0,0,.35);

    box-shadow:
    0 20px 45px rgba(255,0,0,.15);
}

/* ICONO */

.sector-icon{

    width:68px;
    height:68px;

    border-radius:18px;

    background:
    linear-gradient(
        135deg,
        #ff0000,
        #c60000
    );

    display:flex;
    align-items:center;
    justify-content:center;

    margin-bottom:20px;

    box-shadow:
    0 10px 25px rgba(255,0,0,.25);
}

.sector-icon i{

    color:#fff;

    font-size:28px;
}

/* TITULO */

.sector-card-dark h3{

    color:#fff;

    font-size:1.25rem;

    font-weight:700;

    margin-bottom:12px;
}

/* TEXTO */

.sector-card-dark p{

    color:#bdbdbd;

    font-size:.92rem;

    line-height:1.7;

    margin:0;
}

/*==================================
TABLET
==================================*/

@media(max-width:991px){

    .sector-solutions{

        grid-template-columns:
        repeat(2,1fr);
    }
}

/*==================================
CELULAR
==================================*/

@media(max-width:576px){

   .sector-solutions{

        grid-template-columns:
        repeat(2,1fr);

        gap:12px;
    }

    .sector-card-dark{

        padding:16px;
    }

    .sector-icon{

        width:45px;
        height:45px;

        margin-bottom:10px;
    }

    .sector-icon i{

        font-size:18px;
    }

    .sector-card-dark h3{

        font-size:.9rem;

        line-height:1.2;

        margin-bottom:8px;
    }

    .sector-card-dark p{

        font-size:.72rem;

        line-height:1.4;
    }
}




